org.jbpm.kie.services.impl.bpmn2

## Class UserTaskDefinitionImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.bpmn2.UserTaskDefinitionImpl

- All Implemented Interfaces:
    Serializable, UserTaskDefinition

      public class UserTaskDefinitionImpl
      extends Object
      implements UserTaskDefinition, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskDefinitionImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getAssociatedEntities()` Returns the user task definition associated entities.
    `String` | `getComment()` Returns the user task definition comment.
    `String` | `getCreatedBy()` Returns the user task created by.
    `String` | `getFormName()` Returns the user task definition form name.
    `String` | `getId()` Returns the user task definition id.
    `String` | `getName()` Returns the user task definition name.
    `Integer` | `getPriority()` Returns the user task definition priority.
    `Map<String,String>` | `getTaskInputMappings()` Returns the user task definition task input mappings.
    `Map<String,String>` | `getTaskOutputMappings()` Returns the user task definition task output mappings.
    `boolean` | `isSkippable()` Returns the user task skippable.
    `void` | `setAssociatedEntities(Collection<String> associatedEntities)`
    `void` | `setComment(String comment)`
    `void` | `setCreatedBy(String createdBy)`
    `void` | `setFormName(String formName)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setPriority(Integer priority)`
    `void` | `setSkippable(boolean skippable)`
    `void` | `setTaskInputMappings(Map<String,String> taskInputMappings)`
    `void` | `setTaskOutputMappings(Map<String,String> taskOutputMappings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskDefinitionImpl

          public UserTaskDefinitionImpl()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task definition name.
      Specified by:
        `getName` in interface `UserTaskDefinition`
      Returns:
        name

    - #### getPriority

          public Integer getPriority()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task definition priority.
      Specified by:
        `getPriority` in interface `UserTaskDefinition`
      Returns:
        priority

    - #### getComment

          public String getComment()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task definition comment.
      Specified by:
        `getComment` in interface `UserTaskDefinition`
      Returns:
        comment

    - #### getCreatedBy

          public String getCreatedBy()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task created by.
      Specified by:
        `getCreatedBy` in interface `UserTaskDefinition`
      Returns:
        created by

    - #### isSkippable

          public boolean isSkippable()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task skippable.
      Specified by:
        `isSkippable` in interface `UserTaskDefinition`
      Returns:
        skippable

    - #### getAssociatedEntities

          public Collection<String> getAssociatedEntities()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task definition associated entities.
      Specified by:
        `getAssociatedEntities` in interface `UserTaskDefinition`
      Returns:
        entities

    - #### getTaskInputMappings

          public Map<String,String> getTaskInputMappings()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task definition task input mappings.
      Specified by:
        `getTaskInputMappings` in interface `UserTaskDefinition`
      Returns:
        task input mappings

    - #### getTaskOutputMappings

          public Map<String,String> getTaskOutputMappings()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task definition task output mappings.
      Specified by:
        `getTaskOutputMappings` in interface `UserTaskDefinition`
      Returns:
        task output mappings

    - #### getId

          public String getId()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task definition id.
      Specified by:
        `getId` in interface `UserTaskDefinition`
      Returns:
        id

    - #### getFormName

          public String getFormName()

      Description copied from interface: `UserTaskDefinition`
      Returns the user task definition form name.
      Specified by:
        `getFormName` in interface `UserTaskDefinition`
      Returns:
        form name

    - #### setName

          public void setName(String name)

    - #### setPriority

          public void setPriority(Integer priority)

    - #### setComment

          public void setComment(String comment)

    - #### setCreatedBy

          public void setCreatedBy(String createdBy)

    - #### setSkippable

          public void setSkippable(boolean skippable)

    - #### setAssociatedEntities

          public void setAssociatedEntities(Collection<String> associatedEntities)

    - #### setTaskInputMappings

          public void setTaskInputMappings(Map<String,String> taskInputMappings)

    - #### setTaskOutputMappings

          public void setTaskOutputMappings(Map<String,String> taskOutputMappings)

    - #### setId

          public void setId(String id)

    - #### setFormName

          public void setFormName(String formName)

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.